###--- >>> `threshold.wd' <<<----- Threshold a `wd' Object (1D Wavelet)

	## alias	 help(threshold.wd)

##___ Examples ___:

# "Standard" example:
example(wd)
#
# Threshold it
#
(thH.wds <- threshold(wds))
thS.wds <- threshold(wds, type="soft")
#
# Reconstruct from the thresholded coefficients
#
str(    trecH <- wr(thH.wds))
summary(trecS <- wr(thS.wds))
#
# Plot the data, the true & reconstructed functions
#
plot(x,y, col = "gray", cex = .6) # the data
lines(x, fx, col="red", lwd=1.5)# true function
lines(x, trecH, col= "blue1", lty=2, lwd=1.5)
lines(x, trecS, col= "blue4", lty=4, lwd=1.5)
legend(0,6, c("true", paste(c("hard","soft")," thresh.")),
       col = c("red","blue1","blue2"), lwd= 1.5, lty = c(1,2,4))

## Keywords: 'nonlinear', 'smooth'.


