###--- >>> `wd' <<<----- Discrete Wavelet Transform (Decomposition).

	## alias	 help(wd)

##___ Examples ___:

## Example from Nason's 1993 report
f.ssl <- function(x) sin(x) + sin(2*x) + log(1+x)
m <- 10 ; n <- 2^m
x <- seq(0, 10*pi, length = n)
fx <- f.ssl(x)
y <- fx + rnorm(n, s= .3)

## Decompose the test data
summary(wds <- wd(y))

## Keywords: 'math', 'smooth', 'nonlinear'.


